<div class="surface-section px-4 py-8 md:px-6 lg:px-8 text-center">
  <div class="mb-3 font-bold text-3xl">
    <span class="text-900">Administración de </span>
    <span class="text-green-600">Conteo y Recaudo</span>
  </div>
  <div class="text-700 mb-1">
    En esta página podrás cargar, visualizar y generar reportes de conteo y recaudos
  </div>
  <div class="text-700 mb-8">
    <p-button label="Cerrar sesión" styleClass="p-button-raised p-button-text mt-3"
              (click)="onLogout()"></p-button>
  </div>


  <div class="grid" *ngIf="!isSelectAnyComponent()">
    <div class="col-12 md:col-4 mb-4 px-5">
      <app-menu-card
        (clickButton)="selectComponent('load')"
        title="Cargar"
        description="Podrás cargar información de conteo y recaudos para posteriormente ser analizada."
        buttonLabel="Cargar"
        icon="pi pi-upload"
      >
      </app-menu-card>
    </div>
    <div class="col-12 md:col-4 mb-4 px-5">
      <app-menu-card
        (clickButton)="selectComponent('view')"
        title="Visualizar"
        description="Podrás visualizar la información de conteo y recaudo de una mejor manera."
        buttonLabel="Visualizar"
        icon="pi pi-table"
      >
      </app-menu-card>
    </div>

    <div class="col-12 md:col-4 mb-4 px-5">
      <app-menu-card
        (clickButton)="selectComponent('report')"
        title="Reportes"
        description="Podrás generar reportes mensuales de conteos y recaudos."
        buttonLabel="Ver reporte"
        icon="pi pi-chart-bar"
      >
      </app-menu-card>
    </div>
  </div>

  <app-main-card
    *ngIf="isSelectComponent('load')"
    [title]="'Cargar'"
    (clickCloseButton)="closeComponent()"
  >
    <app-load></app-load>
  </app-main-card>

  <app-main-card
    *ngIf="isSelectComponent('view')"
    [title]="'Visualizar'"
    (clickCloseButton)="closeComponent()"
  >
    <app-view></app-view>
  </app-main-card>

  <app-main-card
    *ngIf="isSelectComponent('report')"
    [title]="'Reporte'"
    (clickCloseButton)="closeComponent()"
  >
    <app-reports></app-reports>
  </app-main-card>

</div>

